## Media art management Media art management — Media art request and management. |

## Functions

gboolean | tracker_media_art_queue_remove ()
void | tracker_media_art_queue_empty ()

## Includes

    #include <libtracker-miner/tracker-media-art.h>

## Description

This is a convenience API using D-Bus to talk to the media management service.

## Functions

### tracker_media_art_queue_remove ()

    gboolean
    tracker_media_art_queue_remove (const gchar *uri,
                                    const gchar *mime_type);

Adds a new request to tell the media art subsystem that `uri` was removed. Stored requests can be processed with `tracker_media_art_queue_empty()`.

#### Parameters

uri | URI of the file |
mime_type | mime-type of the file |

#### Returns

TRUE if successfully stored to be reported, FALSE otherwise.

Since 0.10.4

### tracker_media_art_queue_empty ()

    void
    tracker_media_art_queue_empty (TrackerSparqlConnection *connection);

## Types and Values